package planet.commonapi.GML;

import planet.commonapi.Id;
/**
 * This wrapper class is used to store an edge of a directed or undirected
 * graph according to GML file format.
 * @see <a href="http://infosun.fmi.uni-passau.de/Graphlet/GML/">GML</a> 
 * @author Marc Snchez <msa.ei@estudiants.urv.es>
 * @author Jordi Pujol <jordi.pujol@estudiants.urv.es>
 */
public interface GMLEdge extends java.io.Serializable {

    /**
	 * @return Returns the fill color of the edge.
	 */
	public String getFill();
	/**
	 * @param fill The fill color of the edge to set.
	 */
	public void setFill(String fill);
	/**
	 * @return Returns the source.
	 */
	public Id getSource();
	/**
	 * @param source The source to set.
	 */
	public void setSource(Id source);
	/**
	 * @return Returns the target.
	 */
	public Id getTarget();
	/**
	 * @param target The target to set.
	 */
	public void setTarget(Id target);
	/**
	 * @return Returns the isDirected.
	 */
	public boolean isDirected();
	/**
	 * @param isDirected The isDirected to set.
	 */
	public void setDirected(boolean isDirected) ;	
}
