package planet.test;


import planet.commonapi.Network;
import planet.generic.commonapi.GenericApp;
import planet.generic.commonapi.factory.GenericFactory;
import planet.util.Properties;
/**
 * This example shows how to build a simple Network, without registered Application's 
 * on to the nodes. Uses the Symphony implementation.
 * @author Ruben Mondejar
 * @author Jordi Pujol
 */
 
public class SimNetTest {

	/**
	 * This example shows how to build a simple Network, without registered Application's 
	 * on to the nodes. Uses the Symphony implementation.
	 * @param args Nothing.
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		//init context
		Properties.init("../conf/factories_sym_simnettest.properties","../conf/sim_sym_simtest.properties","../conf/symphony.properties",
		        "../conf/Behaviour.properties", "../conf/DHT.properties");
		
		//Properties.init("../conf/factories_simnettest.properties","../conf/sim_simtest.properties","../conf/chord.properties");
		GenericFactory.init();
		
		//load events
		long t1,t2,t3,t4;
		
		//actual millis
		t1 = System.currentTimeMillis();
		Network net = GenericFactory.buildNetwork();
		t2 = System.currentTimeMillis();
		int steps = net.getSimulatedSteps();
		System.out.println("Network creation time ["+GenericApp.timeElapsedInSeconds(t1,t2)+"] seconds for ["+net.size()+"] nodes with ["+steps+"] steps.");
		
		//stabilization
		t3 = System.currentTimeMillis();
		int steps2 = net.stabilize();
		t4 = System.currentTimeMillis();
		//steps = net.getSimulatedSteps();
		System.out.println("Simulation time ["+GenericApp.timeElapsedInSeconds(t3,t4)+"] seconds for ["+net.size()+"] nodes with ["+(steps2-steps)+"] steps.");
		System.out.println("Total time ["+GenericApp.timeElapsedInSeconds(t1,t4)+"] seconds for ["+net.size()+"] nodes with ["+steps2+"] steps.");
		net.printNodes();
		}
}
